> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/korean/development/api-reference/datatype/enumitem.md).

# EnumItem

## Overview

EnumItem은 하나의 열거형 그룹(Enum) 안에서 특정 상수를 표현하는 단일 요소로, Enum을 구성하는 값 각각을 의미합니다.

## Constructors

## Properties

### Name

`string`

해당 EnumItem을 식별하는 이름으로, 열거형 내에서 각 항목을 구분하는 데 사용되는 고유한 이름입니다.

#### Code Samples

```lua
local EnumItem = Enum.HumanoidStateType.Running
print(EnumItem.Name)
```

### Value

`number`

해당 EnumItem을 식별하는 숫자로, 열거형 내에서 각 항목을 구분하는 데 사용되는 고정된 정수 값입니다.

#### Code Samples

```lua
local EnumItem = Enum.HumanoidStateType.Running
print(EnumItem.Name, EnumItem.Value)
```

### EnumType

`Enum`

해당 EnumItem이 소속된 상위 Enum 객체를 나타냅니다.

#### Code Samples

```lua
local EnumItem = Enum.HumanoidStateType.Running
print(EnumItem.EnumType)
```

## Methods


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/datatype/enumitem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
